---
- name: install chrony
  yum:
    name: "{{ item }}"
    state: present
  with_items:
    - chrony

- name: Get network address
  shell: "ipcalc -n {{ node[inventory_hostname]['interface']['ip'] }} {{ node[inventory_hostname]['interface']['netmask'] }} | awk -F '='  '{print $2}'"
  register: network_add

- name: Get network address
  shell: "ipcalc -p {{ node[inventory_hostname]['interface']['ip'] }} {{ node[inventory_hostname]['interface']['netmask'] }} | awk -F '='  '{print $2}'"
  register: network_prefix

- name: Add server to chrony
  template:
    src: "NTP_{{ node[inventory_hostname]['role'] }}.j2"
    dest: /etc/chrony.conf


- name: start NTP system and configure when system boots
  service:
    name: chronyd
    state: restarted
